arrow-down-from-bracketDownload

Learn how to download assets with a query.

Download file via Storage ID

GET https://api.echo3D.com/query?key=<API_KEY>&email=<EMAIL>&userKey=<USER_KEY>&file=<FILE_STORAGE_ID>

This query allows you to download a file stored in the system. Asset file storage IDs can be obtained by querying the asset data as shown in the Queries section.

Query Parameters

Name
Type
Description

key*

string

Your API key.

file*

string

The file storage ID.

email*

string

Your email address

userKey*

string

Your authentication key

secKey

string

Your Secret key. Only if enabled through the Security page.

N/A

Download specific file format for an entry

POSThttps://api.echo3D.com/download

This query allows you to download a file of a specified format for a given asset. If the format for an asset does not exist, the request can optionally trigger the conversion and wait for the system to generate and return the file in the requested format.

Request Parameters

All parameters must be included as form data with matching content type header Content-Type: application/x-www-form-urlencoded

Name
Type
Description

key*

string

Your API key.

entryId*

string

Asset's entry id

email*

string

Your email

userKey*

string

Your authentication key

secKey

string

Your Secret key. Only if enabled through the Security page.

fileFormat

string

Target file format version of the you would like to download. Request may be rejected if the target asset does not support the conversion (eg, requesting a glb for a pdf asset). Omit this parameter to download the original version of the asset uploaded. Example: glb

convertMissing

string

Set to "true" to attempt to convert the file if the target format version does not already exist. Note that the converted files will count for storage and bandwidth used in your subscription. The API will wait for the conversion to finish to respond. Conversion times can be long (>5m) for large or complex models.

Last updated